# Uses of Interface
javax.accessibility.AccessibleTable

Packages that use AccessibleTable
Package
Description
javax.accessibility
Defines a contract between user-interface components and an assistive technology that provides access to those components.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of AccessibleTable in javax.accessibility

Subinterfaces of AccessibleTable in javax.accessibility
Modifier and Type
Interface
Description
`interface`
`AccessibleExtendedTable`
Class `AccessibleExtendedTable` provides extended information about a user-interface component that presents data in a two-dimensional table format.
Methods in javax.accessibility that return AccessibleTable
Modifier and Type
Method
Description
`AccessibleTable`
AccessibleTable.`getAccessibleColumnHeader()`
Returns the column headers as an `AccessibleTable`.
`AccessibleTable`
AccessibleTable.`getAccessibleRowHeader()`
Returns the row headers as an `AccessibleTable`.
`AccessibleTable`
AccessibleContext.`getAccessibleTable()`
Gets the `AccessibleTable` associated with an object.
Methods in javax.accessibility with parameters of type AccessibleTable
Modifier and Type
Method
Description
`void`
AccessibleTable.`setAccessibleColumnHeader​(AccessibleTable table)`
Sets the column headers.
`void`
AccessibleTable.`setAccessibleRowHeader​(AccessibleTable table)`
Sets the row headers.

## Uses of AccessibleTable in javax.swing

Classes in javax.swing that implement AccessibleTable
Modifier and Type
Class
Description
`protected class`
`JTable.AccessibleJTable`
This class implements accessibility support for the `JTable` class.
Methods in javax.swing that return AccessibleTable
Modifier and Type
Method
Description
`AccessibleTable`
JTable.AccessibleJTable.`getAccessibleColumnHeader()`
Returns the column headers as an `AccessibleTable`.
`AccessibleTable`
JTable.AccessibleJTable.`getAccessibleRowHeader()`
Returns the row headers as an `AccessibleTable`.
`AccessibleTable`
JTable.AccessibleJTable.`getAccessibleTable()`
Gets the `AccessibleTable` associated with this object.
Methods in javax.swing with parameters of type AccessibleTable
Modifier and Type
Method
Description
`void`
JTable.AccessibleJTable.`setAccessibleColumnHeader​(AccessibleTable a)`
Sets the column headers as an `AccessibleTable`.
`void`
JTable.AccessibleJTable.`setAccessibleRowHeader​(AccessibleTable a)`
Sets the row headers as an `AccessibleTable`.